Loading...
Searching...
No Matches
irr::scene::quake3::Q3LevelLoadParameter Struct Reference

`#include <IQ3Shader.h>`

## Public Member Functions

| Q3LevelLoadParameter ()

## Public Attributes

s32 | alpharef
s32 | cleanUnResolvedMeshes
video::E_MATERIAL_FLAG | defaultFilter
video::E_MATERIAL_TYPE | defaultLightMapMaterial
video::E_MODULATE_FUNC | defaultModulate
u32 | endTime
s32 | loadAllShaders
s32 | loadSkyShader
s32 | mergeShaderBuffer
s32 | patchTesselation
c8 | scriptDir [64]
u32 | startTime
s32 | swapHeader
s32 | swapLump
s32 | verbose

## Detailed Description

used to customize Quake3 BSP Loader

Definition at line 37 of file IQ3Shader.h.

## Constructor & Destructor Documentation

## Q3LevelLoadParameter()

irr::scene::quake3::Q3LevelLoadParameter::Q3LevelLoadParameter | ( |  | ) |

inline

Definition at line 39 of file IQ3Shader.h.

References __BIG_ENDIAN__, alpharef, cleanUnResolvedMeshes, defaultFilter, defaultLightMapMaterial, defaultModulate, endTime, loadAllShaders, loadSkyShader, mergeShaderBuffer, patchTesselation, scriptDir, startTime, swapHeader, swapLump, and verbose.

## Member Data Documentation

## alpharef

s32 irr::scene::quake3::Q3LevelLoadParameter::alpharef

Definition at line 72 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## cleanUnResolvedMeshes

s32 irr::scene::quake3::Q3LevelLoadParameter::cleanUnResolvedMeshes

Definition at line 69 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## defaultFilter

video::E_MATERIAL_FLAG irr::scene::quake3::Q3LevelLoadParameter::defaultFilter

Definition at line 63 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## defaultLightMapMaterial

video::E_MATERIAL_TYPE irr::scene::quake3::Q3LevelLoadParameter::defaultLightMapMaterial

Definition at line 61 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## defaultModulate

video::E_MODULATE_FUNC irr::scene::quake3::Q3LevelLoadParameter::defaultModulate

Definition at line 62 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## endTime

u32 irr::scene::quake3::Q3LevelLoadParameter::endTime

Definition at line 67 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## loadAllShaders

s32 irr::scene::quake3::Q3LevelLoadParameter::loadAllShaders

Definition at line 70 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## loadSkyShader

s32 irr::scene::quake3::Q3LevelLoadParameter::loadSkyShader

Definition at line 71 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## mergeShaderBuffer

s32 irr::scene::quake3::Q3LevelLoadParameter::mergeShaderBuffer

Definition at line 68 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## patchTesselation

s32 irr::scene::quake3::Q3LevelLoadParameter::patchTesselation

Definition at line 64 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## scriptDir

c8 irr::scene::quake3::Q3LevelLoadParameter::scriptDir[64]

Definition at line 75 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## startTime

u32 irr::scene::quake3::Q3LevelLoadParameter::startTime

Definition at line 66 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## swapHeader

s32 irr::scene::quake3::Q3LevelLoadParameter::swapHeader

Definition at line 74 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## swapLump

s32 irr::scene::quake3::Q3LevelLoadParameter::swapLump

Definition at line 73 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

## verbose

s32 irr::scene::quake3::Q3LevelLoadParameter::verbose

Definition at line 65 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

The documentation for this struct was generated from the following file:

- IQ3Shader.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0